SymbolDialog Class Reference

Tools window to select special text characters. More...

`#include <SymbolDialog.h>`

Inheritance diagram for SymbolDialog:

## Public Types

enum | CharSet { lowerGreek = 0, upperGreek = 1, mathSymbols = 2, arrowSymbols = 3, numberSymbols = 4, latexArrowSymbols = 5, latexMathSymbols = 6 }
| Character set. More...

## Public Slots

void | addCurrentChar ()
| Find and emit char from current button ([return] pressed) More...
void | getChar (int btnIndex)
| Find and emit char from pressed button. More...
virtual void | languageChange ()
| Change language (reset title) More...

## Signals

void | addLetter (const QString &)
| Emitted when a letter is to be added. More...

## Public Member Functions

| SymbolDialog (CharSet charSet, QWidget *parent=0, Qt::WFlags fl=0)
| Constructor. More...

## Protected Member Functions

void | focusInEvent (QFocusEvent *event)
| Event handler: When the dialog gets the focus the first button is set to react on [return]. More...

## Private Member Functions

void | initArrowSymbols ()
| Show arrow symbols. More...
void | initLatexArrowSymbols ()
| Show default LaTeX arrow symbols. More...
void | initLatexMathSymbols ()
| Show default LaTeX math symbols. More...
void | initLowerGreekChars ()
| Show lowercase Greek characters. More...
void | initMathSymbols ()
| Show mathematical symbols. More...
void | initNumberSymbols ()
| Show number symbols. More...
void | initUpperGreekChars ()
| Show uppercase Greek characters. More...

## Private Attributes

QButtonGroup * | buttons
QPushButton * | closeButton
QGridLayout * | gridLayout
QVBoxLayout * | mainLayout
int | numButtons

## Detailed Description

Tools window to select special text characters.

## Member Enumeration Documentation

enum SymbolDialog::CharSet

Character set.

Enumerator
lowerGreek | lower case Greek letters
upperGreek | upper case Greek letters
mathSymbols | mathematical symbols
arrowSymbols | arrow symbols
numberSymbols | number symbols (e.g. 1/2, vi)
latexArrowSymbols | default LaTeX arrow symbols
latexMathSymbols | default LaTeX math symbols

## Constructor & Destructor Documentation

SymbolDialog::SymbolDialog | ( | CharSet | charSet,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  charSet | character set (lower- or uppercase)
  parent | parent widget
  fl | window flags

References addCurrentChar(), arrowSymbols, buttons, closeButton, getChar(), gridLayout, initArrowSymbols(), initLatexArrowSymbols(), initLatexMathSymbols(), initLowerGreekChars(), initMathSymbols(), initNumberSymbols(), initUpperGreekChars(), languageChange(), latexArrowSymbols, latexMathSymbols, lowerGreek, mainLayout, mathSymbols, numberSymbols, and upperGreek.

## Member Function Documentation

void SymbolDialog::addCurrentChar | ( |  | ) |

slot

Find and emit char from current button ([return] pressed)

References addLetter(), buttons, and numButtons.

Referenced by SymbolDialog().

void SymbolDialog::addLetter | ( | const QString & |  | ) |

signal

Emitted when a letter is to be added.

Referenced by addCurrentChar(), and getChar().

void SymbolDialog::focusInEvent | ( | QFocusEvent * | event | ) |

protected

Event handler: When the dialog gets the focus the first button is set to react on [return].

References buttons.

void SymbolDialog::getChar | ( | int | btnIndex | ) |

slot

Find and emit char from pressed button.

References addLetter(), and buttons.

Referenced by SymbolDialog().

void SymbolDialog::initArrowSymbols | ( |  | ) |

private

Show arrow symbols.

References buttons, gridLayout, and numButtons.

Referenced by SymbolDialog().

void SymbolDialog::initLatexArrowSymbols | ( |  | ) |

private

Show default LaTeX arrow symbols.

References buttons, gridLayout, and numButtons.

Referenced by SymbolDialog().

void SymbolDialog::initLatexMathSymbols | ( |  | ) |

private

Show default LaTeX math symbols.

References buttons, gridLayout, and numButtons.

Referenced by SymbolDialog().

void SymbolDialog::initLowerGreekChars | ( |  | ) |

private

Show lowercase Greek characters.

References buttons, and gridLayout.

Referenced by SymbolDialog().

void SymbolDialog::initMathSymbols | ( |  | ) |

private

Show mathematical symbols.

References buttons, gridLayout, and numButtons.

Referenced by SymbolDialog().

void SymbolDialog::initNumberSymbols | ( |  | ) |

private

Show number symbols.

References buttons, gridLayout, and numButtons.

Referenced by SymbolDialog().

void SymbolDialog::initUpperGreekChars | ( |  | ) |

private

Show uppercase Greek characters.

References buttons, gridLayout, and numButtons.

Referenced by SymbolDialog().

void SymbolDialog::languageChange | ( |  | ) |

virtual slot

Change language (reset title)

Referenced by SymbolDialog().

## Member Data Documentation

QButtonGroup* SymbolDialog::buttons

private

Referenced by addCurrentChar(), focusInEvent(), getChar(), initArrowSymbols(), initLatexArrowSymbols(), initLatexMathSymbols(), initLowerGreekChars(), initMathSymbols(), initNumberSymbols(), initUpperGreekChars(), and SymbolDialog().

QPushButton* SymbolDialog::closeButton

private

Referenced by SymbolDialog().

QGridLayout* SymbolDialog::gridLayout

private

Referenced by initArrowSymbols(), initLatexArrowSymbols(), initLatexMathSymbols(), initLowerGreekChars(), initMathSymbols(), initNumberSymbols(), initUpperGreekChars(), and SymbolDialog().

QVBoxLayout* SymbolDialog::mainLayout

private

Referenced by SymbolDialog().

int SymbolDialog::numButtons

private

Referenced by addCurrentChar(), initArrowSymbols(), initLatexArrowSymbols(), initLatexMathSymbols(), initMathSymbols(), initNumberSymbols(), and initUpperGreekChars().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/SymbolDialog.h
- qtiplot/src/lib/src/SymbolDialog.cpp